
HMODULE hLib30x = NULL;
#define SINGLE_CHAN_DIGIN_SCAN 4

typedef BOOLEAN(*P_DLL_EX_CONNECT) (USHORT* usDevID);
P_DLL_EX_CONNECT EX_Connect = NULL;

typedef BOOLEAN(*P_DLL_EX_SET_CHAN) (USHORT usDevID, BYTE bChan);
P_DLL_EX_SET_CHAN EX_SetPolledModeChan = NULL;

typedef BOOLEAN(*P_DLL_EX_SET_SCAN_TYPE) (USHORT usDevID, BYTE bChan);
P_DLL_EX_SET_SCAN_TYPE EX_SetScanType = NULL;

typedef BOOLEAN(*P_DLL_EX_RUN) (USHORT usDevID);
P_DLL_EX_RUN EX_Run = NULL;

typedef BOOLEAN(*P_DLL_EX_STOP) (USHORT usDevID);
P_DLL_EX_STOP EX_Stop = NULL;

typedef BOOLEAN(*P_DLL_EX_STOP_COMPLETE) (USHORT usDevID);
P_DLL_EX_STOP_COMPLETE EX_StopComplete = NULL;

typedef BOOLEAN(*P_DLL_EX_SET_SCAN_LENGTH_OF_RUN) (USHORT usDevID, UINT uiSeconds);
P_DLL_EX_SET_SCAN_LENGTH_OF_RUN EX_SetLengthOfRunSec = NULL;

typedef BOOLEAN(*P_DLL_EX_SET_SCAN_EVENT) (USHORT usDevID, BYTE bEvent, BOOLEAN fUseScanEndEvent);
P_DLL_EX_SET_SCAN_EVENT EX_SetScanEndEvent = NULL;





typedef BOOLEAN(*P_DLL_EX_SET_RUN_END_BEEP) (USHORT usDevID, BOOLEAN fUseBeep, UINT uiBeepFreq, UINT uiBeepDurationMs, UINT uiBeepIntervalSec, UINT uiBeepTimeoutSec);
P_DLL_EX_SET_RUN_END_BEEP EX_SetRunEndBeepOptions = NULL;

typedef BOOLEAN(*P_DLL_EX_CHECK_SCAN_STATUS) (USHORT usDevID, UINT* puiNumScansRemainingInBuff, 
						   BOOLEAN* pfStillScanning, UINT* puiStatusCode);
P_DLL_EX_CHECK_SCAN_STATUS EX_CheckScanStatus = NULL;


UINT puiNumScansRemainingInBuff; BOOLEAN pfStillScanning; UINT puiStatusCode;

void setBeepScreen(void);
void getBeepOptions(void);
void setMainScreen(void);
USHORT usDevID = 0;
BOOLEAN fEventScan=FALSE;

#define NOT_SCANNING		0x1
#define HALTED				0x2
#define DISCONNECT			0x4
#define SCAN_COMPLETED		0x8
#define MISSING_DIGIN_BUFF	0x10
#define BUFF_TOO_SMALL		0x20
#define MICRO_BUFF_WRAP		0x40
#define MEM1_BUFF_WRAP		0x80
#define MEM2_BUFF_WRAP		0x100
#define NO_DATA_READY		0x200

